//gcc -m32 -Wall -S delay-fixed.c
//gcc -m32 -Wall -c delay-fixed.c && objdump -d delay-fixed.o > delay-fixed.obj && gcc -m32 -Wall -o delay-fixed delay-fixed.o && time delay-fixed 2147483649

#include <stdlib.h>
#include <stdio.h>

int main (int argc, char *argv[]) {
unsigned long loops=strtoul(argv[1],NULL,10);
int d0;
printf("loops %lu\n",loops);

__asm__ __volatile__(
	"\tjmp 1f\n"
	".align 16\n"
	"1:\tjmp 2f\n"
	".align 16\n"
	"2:\tdecl %0\n\tjnz 2b\n"
	"decl %0"
	:"=&a" (d0)
	:"0" (loops));
printf("loops %lu\n",loops);
printf("do %d\n",d0);

return 0;
}

