//gcc -m32 -Wall -S delay-fixed1.c
//gcc -m32 -Wall -c delay-fixed1.c && objdump -d delay-fixed1.o > delay-fixed1.obj && gcc -m32 -Wall -o delay-fixed1 delay-fixed1.o && time delay-fixed1 2147483649

#include <stdlib.h>
#include <stdio.h>

int main (int argc, char *argv[]) {
unsigned long loops=strtoul(argv[1],NULL,10);
printf("loops %lu\n",loops);

__asm__ __volatile__(
	"\tjmp 1f\n"
	".align 16\n"
	"1:\tjmp 2f\n"
	".align 16\n"
	"2:\tdecl %0\n\tjnz 2b\n"
	"decl %0"
	:/*we don't need output */
	:"a" (loops));

printf("loops %lu\n",loops);

return 0;
}

